## mozjs17 17.0.0

=== debian/changelog ===
mozjs17 (17.0.0-1ubuntu1) trusty; urgency=medium

  * Apply openSUSE patch to add arm64 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Jan 2014 11:32:13 +0000

mozjs17 (17.0.0-1) unstable; urgency=low

  * Initial release (closes: #709434).
  * Update to debhelper level 9.
  * Convert to multi-arch.
  * Fix copyright .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Sep 2013 12:40:39 +0000

mozjs17 (17.0.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1113166)
    - Should noticably improve GNOME Shell performance by fixing
      memory leaks and avoiding garbage collector deadlocks
    - A separate source package is used because some rdepends like couchdb
      won't be ready for this version any time soon
  * Adjust packaging to new firefox versioned releases
  * Drop .symbols files
  * Add -dbg package
  * debian/patches:
    - Dropped all existing patches, they are included in new version
    - fix-soname.patch, added to correct soname for shared library
  * debian/rules:
    - enable parallel build
    - move shared library and create symlinks for standard soname versioning

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 25 May 2013 12:24:23 +0100
