=== debian/control ===
Source: mozjs17
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libffi-dev,
               libnspr4-dev (>= 4.7.0),
               pkg-config,
               pkg-kde-tools,
               python,
               zip
Standards-Version: 3.9.4
Homepage: http://www.mozilla.org/js/spidermonkey/

Package: libmozjs-17.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Spidermonkey javascript engine
 SpiderMonkey is the code-name for the Mozilla's C implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.

Package: libmozjs-17.0-0-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libmozjs-17.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Spidermonkey javascript engine (debug symbols)
 SpiderMonkey is the code-name for the Mozilla's C implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the debug symbols.

Package: libmozjs-17.0-dev
Architecture: any
Section: libdevel
Depends: libmozjs-17.0-0 (= ${binary:Version}),
         libmozjs-17.0-bin (= ${binary:Version}),
         libffi-dev,
         libnspr4-dev (>= 4.7.0),
         ${misc:Depends}
Description: Spidermonkey javascript library - development headers
 SpiderMonkey is the code-name for the Mozilla's C implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the header files and static library which is
 needed for developing Spidermonkey embedders.

Package: libmozjs-17.0-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Spidermonkey javascript shell
 SpiderMonkey is the code-name for the Mozilla's C implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.

Package: libmozjs-17.0-bin-dbg
Architecture: any
Section: debug
Depends: libmozjs-17.0-bin (= ${binary:Version}),
         ${misc:Depends}
Description: Spidermonkey javascript shell (debug symbols)
 SpiderMonkey is the code-name for the Mozilla's C implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the debug symbols.
